Subject: Re: [PATCH devicetree 2/2] dt-bindings: phy: Add `tx-amplitude-microvolt` property binding

From: Marek Behún <[email-masked]>
Date: Wed, 15 Dec 2021 18:22:22 +0100

On Wed, 15 Dec 2021 11:55:00 +0100
Andrew Lunn <[email-masked]> wrote:

> On Wed, Dec 15, 2021 at 12:34:32AM +0100, Marek Behún wrote:
> > Common PHYs often have the possibility to specify peak-to-peak voltage
> > on the differential pair - the default voltage sometimes needs to be
> > changed for a particular board.  
> 
> Hi Marek
> 
> Common PHYs are not the only user of this. Ethernet PHYs can also use
> it, as well as SERDESes embedded within Ethernet switches.
> 
> That is why i suggested these properties go into something like
> serdes.yaml. That can then be included into Common PHY, Ethernet PHYs,
> switch drivers etc.
> 
> Please could you make such a split?
> 
>        Andrew

Hi Andrew,

and where (into which directory) should this serdes.yaml file go?

My idea was to put the properties into common PHY and then refer to
them from other places, so for example this would be put into ethernet
PHY binding:

  serdes-tx-amplitude-microvolt:
    $ref: '/schemas/phy/phy.yaml#/properties/tx-amplitude-microvolt'

Marek